# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::LdapObject Class Reference

This class is internal. More...

`#include <ldapclient.h>`

Collaboration diagram for KABC::LdapObject:

[legend]
List of all members.

## Public Member Functions

| LdapObject (const QString &_dn, LdapClient *_cl)
| LdapObject (const LdapObject &that)
LdapObject & | operator= (const LdapObject &that)
QString | toString () const
void | clear ()

## Public Attributes

QString | dn
LdapAttrMap | attrs
LdapClient * | client

## Protected Member Functions

void | assign (const LdapObject &that)

## Detailed Description

This class is internal.

Binary compatibiliy might be broken any time without notification. Do not use it.

We mean it!

Definition at line 49 of file ldapclient.h.

The documentation for this class was generated from the following files:

- ldapclient.h
- ldapclient.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:47 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003